textures/squidrena/whawa
{
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodraw
}

textures/squidrena/sqbltr
{
	qer_editorimage textures/squidrena/sqbltr.tga
        qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm water
	cull disable
	
	{	
		map textures/squidrena/sqbltr.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0.1 0.1 0.1 .1
	}	

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}

}

textures/squidrena/sqrdtr
{
	qer_editorimage textures/squidrena/sqrdtr.tga
        qer_trans 0.4
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm water
	cull disable
	
	{	
		map textures/squidrena/sqrdtr.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0.1 0.1 0.1 .1
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}

}

textures/squidrena/sqwtbltr
{
        qer_editorimage textures/squidrena/sqwtbltr.tga
        qer_trans 0.4
        surfaceparm trans
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm water
        cull none

        {
                map textures/squidrena/sqwtbltr.tga
                blendFunc GL_dst_color GL_zero
                tcmod scroll 0.04 -0.003
        }
        {
                map textures/squidrena/sqwtbltr.tga
                blendFunc GL_dst_color GL_zero
                alphagen const 0.5
                tcmod scroll 0.03 0.002
        }
        {
                map $lightmap
                blendFunc GL_dst_color GL_zero
                blendfunc filter
        }
}

textures/squidrena/sqrdwt
{
        qer_editorimage textures/squidrena/sqrdwt.tga
        qer_trans 0.4
        surfaceparm trans
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm water
        cull none

        {
                map textures/squidrena/sqrdwt.tga
                blendFunc GL_dst_color GL_zero
                tcmod scroll 0.04 -0.003
        }
        {
                map textures/squidrena/sqrdwt.tga
                blendFunc GL_dst_color GL_zero
                alphagen const 0.5
                tcmod scroll 0.03 0.002
        }
        {
                map $lightmap
                blendFunc GL_dst_color GL_zero
                blendfunc filter
        }
}

textures/squidrena/sqglbl
{
	surfaceparm nodamage
	cull front
	{
		map textures/squidrena/sqglbl.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
                
}

textures/squidrena/sqgrnalt
{
	surfaceparm nodamage
	cull back
	{
		map textures/squidrena/sqgrnalt.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
                {
                      map $lightmap
                      blendFunc gl_dst_color gl_zero
                      rgbgen identity
                      }
}

textures/squidrena/sqrdgl
{
	surfaceparm nodamage
	cull front
	{
		map textures/squidrena/sqrdgl.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
                
}

textures/squidrena/sqgrngls
{
	surfaceparm nodamage
	cull back
	{
		map textures/squidrena/sqgrngls.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}